module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={
				alive_time=1.52,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_517/Prefabs/517_attack1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.6,
		},
		[4]={args={},func_name=[[MagcAnimStart]],start_time=0.8,},
		[5]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.8,
		},
		[6]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_517/Prefabs/517_hit1.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0.4,
			},
			func_name=[[BodyEffect]],
			start_time=0.8,
		},
		[7]={args={},func_name=[[MagcAnimEnd]],start_time=1,},
		[8]={args={},func_name=[[End]],start_time=1.7,},
	},
	group_cmds={},
	magic_anim_end_time=1,
	magic_anim_start_time=0.8,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_517/Prefabs/517_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_517/Prefabs/517_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
